API referenceConnections
Change a connection (owner only)
PATCH
Changes the permissions of a connection or whether its writes wait for a person's approval.
apikeybearerAuthheader
apikey<token>header
AuthorizationBearer <JWT>connectionId*stringFormat
uuidapplication/json- body
requireApproval?booleanpermissions?array<>Items
items <= 6Success
application/json- response
id*stringFormat
uuidkind*stringValue in
"oauth""apikey"clientId*string|nullapiKeyId*|nullname*stringpermissions*array<>requireApproval*booleancreatedAt*stringFormat
date-timelastUsedAt*|nullrevokedAt*|nullcurl -X PATCH 'https://api-ecmr-dev.lucaspiera.com/functions/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "oauth", "clientId": "string", "apiKeyId": "37ba0474-c0bb-4910-bfb5-d6cebb614366", "name": "string", "permissions": [ "documents:read" ], "requireApproval": true, "createdAt": "2019-08-24T14:15:22Z", "lastUsedAt": "2019-08-24T14:15:22Z", "revokedAt": "2019-08-24T14:15:22Z"}Disconnect (owner only) DELETE
Revokes an API key, or disconnects an OAuth connection with its sessions and grant. Its pending approvals expire.
Who am I POST
The kind of caller (user, apikey or connection), its company, permissions and, for a connection or an API key, whether its writes wait for a person's approval.